Package relaxngcc.codedom

# Class CDType

java.lang.Object
relaxngcc.codedom.CDType

Direct Known Subclasses:
  `CDClass`

public class CDType extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDType`
`BOOLEAN`
`static final CDType`
`INTEGER`
`static final CDType`
`STRING`
`static final CDType`
`VOID`

## Constructor Summary

Constructors
Constructor
Description
`CDType(String name)`

## Method Summary

Modifier and Type
Method
Description
`CDObjectCreateExpression`
`_new()`
Creates a new instance of this type.
`CDType`
`array()`
Gets the array type of this type.
`String`
`getName()`
Gets the display name of the type.
`boolean`
`isArray()`
Returns true if this is an array type.
`void`
`writeType(CDFormatter f)`
Prints the type name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VOID

public static final CDType VOID

### INTEGER

public static final CDType INTEGER

### BOOLEAN

public static final CDType BOOLEAN

### STRING

public static final CDType STRING

## Constructor Details

### CDType

public CDType(String name)

## Method Details

### getName

public String getName()
Gets the display name of the type.

### _new

public CDObjectCreateExpression _new()
Creates a new instance of this type.

### array

public CDType array()
Gets the array type of this type.

### writeType

public void writeType(CDFormatter f) throws IOException
Prints the type name.

Throws:
  `IOException`

### isArray

public boolean isArray()
Returns true if this is an array type.